%define name bzflag
%define version 1.7g2
%define release 1mdk
%define Summary A multiplayer 3D tank battle game

Name: %{name}
Summary: %{Summary}
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/bzflag/%{name}-%{version}.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
#Patch: bzflag-remove-static-installdatadir.patch.bz2
URL: http://BZFlag.SourceForge.net/
License: GPL
Group: Games/Arcade
BuildRequires: Mesa-common-devel XFree86-devel
BuildConflicts: freetds-devel
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: 1

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q
#%patch0 -p0
chmod 0644 data/teamgrab.wav
#echo "INSTALL_DATA_DIR = "%{_gamesdatadir}/%{name} >> configs/config-linux

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make CXXFLAGS="$RPM_OPT_FLAGS -ffast-math -fno-exceptions -fexpensive-optimizations"

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Amusement/Arcade" title="BZflag" \
  longtitle="%{Summary}"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Jun 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.7g2-1mdk
- 1.7g2
- use %%make macro
- drop P0
- %%configure is now used
- ensure that correct compile flags are used
- use %%makeinstall_std etc. no longer need for doing install manually
- change summary macro to avoid potentially conflicts if we were to build
  debug package

* Fri Dec 13 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7g0-1mdk
- new version

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7e6-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7e6-3mdk
- Automated rebuild with gcc3.2

* Wed Jul  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e6-2mdk
- added manpages, thx to Han Boetes <han@mijncomputer.nl> 

* Wed Jun 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e6-1mdk
- new version

* Wed May  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e4-3mdk
- write a patch for gcc-3.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7e4-2mdk
- xpm -> png icons

* Fri Dec  7 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e4-1mdk
- new version

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-3mdk
- fix obsolete-tag Copyright
- fix obsolete-tag Serial

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-2mdk
- rebuild

* Thu Apr 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-1mdk
- 1.7e2

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-2mdk
- add a serial to make it upgrade the older version..

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-1mdk
- 1.7e0

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-5mdk
- recompile with latest gcc from chmou
- provide 48x48 icon

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-4mdk
- recompile against newest libstdc++
- fix compile against gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7d.9-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-1mdk
- first package for Linux-Mandrake

